Bug 802366 - [ovirt] [engine-core] NPE on create template from vm made of template
[ovirt] [engine-core] NPE on create template from vm made of template
Status: CLOSED WORKSFORME
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Allon Mureinik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 07:46 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-08 03:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (14.31 KB, application/x-gzip)
2012-03-12 07:47 EDT, Haim
no flags Details

  None (edit)
Description Haim 2012-03-12 07:46:50 EDT
Description of problem:

- hit a NPE when I create template on vm created from template with 3 disks and I chose to place each disk on different storage domain

 
2012-03-12 13:35:02,318 ERROR [org.ovirt.engine.core.bll.storage.NFSStorageHelper] (pool-5-thread-3) [570ff964] The connection with details qanashead.qa.lab.tlv.redhat.com:/export/rami/regression/shared_iso_domain failed because of erro
r code 451 and error message is: error storage server connection
2012-03-12 13:35:02,319 ERROR [org.ovirt.engine.core.bll.storage.ConnectStorageToVdsCommand] (pool-5-thread-3) [570ff964] Transaction rolled-back for command: org.ovirt.engine.core.bll.storage.ConnectStorageToVdsCommand.
2012-03-12 13:35:02,320 INFO  [org.ovirt.engine.core.bll.storage.ActivateStorageDomainCommand] (QuartzScheduler_Worker-65) [3acf6d4d] ActivateStorage Domain. After Connect all hosts to pool. Time:3/12/12 1:35 PM
2012-03-12 13:35:02,320 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.ActivateStorageDomainVDSCommand] (QuartzScheduler_Worker-65) [3acf6d4d] START, ActivateStorageDomainVDSCommand(storagePoolId = 711a080f-4702-450c-9f5f-bf54f1e99383
, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = c37e94b2-b130-49b4-a7aa-b30e8a372878), log id: 396e43e8
2012-03-12 13:35:04,080 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (QuartzScheduler_Worker-65) [3acf6d4d] Failed in ActivateStorageDomainVDS method
2012-03-12 13:35:04,080 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (QuartzScheduler_Worker-65) [3acf6d4d] Error code StorageDomainDoesNotExist and error message IRSGenericException: IRSErrorException: Failed to 
ActivateStorageDomainVDS, error = Storage domain does not exist: ('c37e94b2-b130-49b4-a7aa-b30e8a372878',)
2012-03-12 13:35:04,080 ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (QuartzScheduler_Worker-65) [3acf6d4d] IrsBroker::Failed::ActivateStorageDomainVDS due to: IRSErrorException: IRSGenericException: IRSErrorExcept
ion: Failed to ActivateStorageDomainVDS, error = Storage domain does not exist: ('c37e94b2-b130-49b4-a7aa-b30e8a372878',)
2012-03-12 13:35:04,082 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.ActivateStorageDomainVDSCommand] (QuartzScheduler_Worker-65) [3acf6d4d] FINISH, ActivateStorageDomainVDSCommand, log id: 396e43e8
2012-03-12 13:35:04,082 ERROR [org.ovirt.engine.core.bll.storage.ActivateStorageDomainCommand] (QuartzScheduler_Worker-65) [3acf6d4d] Command org.ovirt.engine.core.bll.storage.ActivateStorageDomainCommand throw Vdc Bll exception. With e
rror message VdcBLLException: org.ovirt.engine.core.vdsbroker.irsbroker.IRSErrorException: IRSGenericException: IRSErrorException: Failed to ActivateStorageDomainVDS, error = Storage domain does not exist: ('c37e94b2-b130-49b4-a7aa-b30e
8a372878',)
2012-03-12 13:35:04,086 INFO  [org.ovirt.engine.core.bll.storage.ActivateStorageDomainCommand] (QuartzScheduler_Worker-65) [3acf6d4d] Command [id=dca23963-edce-4da6-9cf5-4b6d4d48461f]: Compensating CHANGED_STATUS_ONLY of org.ovirt.engin
e.core.common.businessentities.storage_pool_iso_map; snapshot: EntityStatusSnapshot [id=storagePoolId = 711a080f-4702-450c-9f5f-bf54f1e99383, storageId = c37e94b2-b130-49b4-a7aa-b30e8a372878, status=InActive].
2012-03-12 13:35:04,094 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-65) [3acf6d4d] Checking autorecoverable storage domains done
2012-03-12 13:35:28,029 ERROR [org.ovirt.engine.core.bll.CreateImageTemplateCommand] (http--0.0.0.0-8080-5) [70b9e72] Command org.ovirt.engine.core.bll.CreateImageTemplateCommand throw exception: java.lang.NullPointerException
 
attached engine log.
Comment 1 Haim 2012-03-12 07:47:37 EDT
Created attachment 569362 [details]
engine log
Comment 2 Allon Mureinik 2012-04-08 02:25:03 EDT
Attempted to reproduce on the latest upstream build (last commit hash - 8a23fa14d741a8300a6aa95010d5cc747810186b), with no success.

The relevant code has undergone quite a bit of changes since this bug was opened, not sure it is still relevant.
Comment 3 Yair Zaslavsky 2012-04-08 02:30:31 EDT
Haim, can you please reproduce this?
Comment 4 Yair Zaslavsky 2012-04-08 02:30:32 EDT
Haim, can you please reproduce this?
Comment 5 mkublin 2012-04-08 03:22:52 EDT
I supposed that I already solved those bug
Comment 6 Yair Zaslavsky 2012-04-08 03:41:26 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.